Subject: Re: linux-next: manual merge of the block tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Wed, 20 Jul 2022 03:45:20 +0100

On Tue, Jul 19, 2022 at 10:52:12AM -0600, Jens Axboe wrote:
> On 7/17/22 10:58 PM, Al Viro wrote:
> > On Mon, Jul 18, 2022 at 12:59:32PM +1000, Stephen Rothwell wrote:
> >> Hi Al,
> >>
> >> On Fri, 15 Jul 2022 02:04:02 +0100 Al Viro <[email-masked]> wrote:
> >>>
> >>> On Fri, Jul 15, 2022 at 01:52:25AM +0100, Al Viro wrote:
> >>>
> >>>> Ones from Keith's branch - #alignment-fixes-rebased in there.  Looks like
> >>>> one of the commits in it got changed since then - the difference in
> >>>> __bio_iov_iter_get_pages() (unsigned int i initialization).
> >>>>
> >>>> Sigh...  I'll rebase on top of that.  
> >>>
> >>> Rebased and pushed out (with copy_pipe_to_iter() fix folded in as well)
> >>
> >> BTW, these still cause a conflict.  As long as you are sharing patches
> >> (and then adding changes to the same areas), there will be conflicts.
> >> You need to share commits i.e. a shared branch.
> > 
> > Sigh...  That was (and is) a branch form Keith's tree.  Commits in block
> > tree are, AFAICS, cherry-picked from it, with lore links and Jens' s-o-b
> > added.
> > 
> > I'm fine with using that, just tell me how to refer to the branch in
> > question.  Jens?
> 
> Are you fine with rebasing that one again? Seems the better approach
> since it's all in one spot. The git location is:
> 
> git://git.kernel.dk/linux-block for-5.20/block-iter
> 
> which has all of them, and is the same base as the previous one. Do you
> want a signed tag, or is the branch fine?

Grabbed, rebased and force-pushed (identical tree object, so probably hadn't
fucked it up...)